## curl 7.21.7

=== debian/changelog ===
curl (7.21.7-3) unstable; urgency=low

  * debian/rules: Build only curl and libcurl3 with rtmp support. Rest of the
    packages do not need to be built with rtmp support. (closes: #641173)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sun, 11 Sep 2011 22:08:08 +0200

curl (7.21.7-2) unstable; urgency=low

  * debian/control: libcurl*-dev packages should depend on librtmp-dev.
    (closes: #640260)
  * debian/rules: add build-arch and build-indep targets.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Mon, 05 Sep 2011 16:12:42 +0200

curl (7.21.7-1) unstable; urgency=low

  * New Upstream release which fixes the following bugs.
    - libcurl3-gnutls: HTTPS over HTTP still broken in
      Git (closes: #627335)
    - git-core: gnutls_handshake() fail when using
      https:// over a proxy (closes: #559371)
  * debian/control: capitalize 'ftp'. (closes: #587338)
  * debian/rules: add build-arch and build-indep targets.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sat, 30 Jul 2011 17:57:08 +0530
