=== debian/control ===
Source: curl
Section: web
Priority: optional
Maintainer: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
Build-Depends: debhelper (>> 8.1.3), autoconf, libtool, automake1.9, binutils (>= 2.14.90.0.7), libssl-dev, libgnutls-dev, libnss3-dev, zlib1g-dev, stunnel, libkrb5-dev, libidn11-dev, groff-base, libdb-dev (>= 4.6), libldap2-dev, quilt, libssh2-1-dev (>= 1.2), libgcrypt11-dev, librtmp-dev
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.2.0
Vcs-Browser: http://git.debian.org/?p=collab-maint/curl.git
Vcs-Git: git://git.debian.org/collab-maint/curl.git
Homepage: http://curl.haxx.se

Package: curl
Architecture: any
Section: web
Replaces: curl-ssl
Provides: curl-ssl
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Get a file from an HTTP, HTTPS or FTP server
 curl is a client to get files from servers using any of the supported
 protocols. The command is designed to work without user interaction
 or any kind of interactivity.
 .
 curl offers a busload of useful tricks like proxy support, user
 authentication, FTP upload, HTTP post, file transfer resume and more.

Package: libcurl3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, ca-certificates
Replaces: libcurl2 (<< 1:7.11.2-2), libcurl4
Conflicts: libcurl4
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Multi-protocol file transfer library (OpenSSL)
 libcurl is designed to be a solid, usable, reliable and portable
 multi-protocol file transfer library.
 .
 SSL support is provided by OpenSSL.
 .
 This is the shared version of libcurl.

Package: libcurl3-gnutls
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, ca-certificates
Replaces: libcurl4-gnutls
Conflicts: libcurl4-gnutls
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Multi-protocol file transfer library (GnuTLS)
 libcurl is designed to be a solid, usable, reliable and portable
 multi-protocol file transfer library.
 .
 SSL support is provided by GnuTLS.
 .
 This is the shared version of libcurl.

Package: libcurl3-nss
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, ca-certificates
Replaces: libcurl4-nss
Conflicts: libcurl4-nss
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Multi-protocol file transfer library (NSS)
 libcurl is designed to be a solid, usable, reliable and portable
 multi-protocol file transfer library.
 .
 SSL support is provided by NSS.
 .
 This is the shared version of libcurl.

Package: libcurl4-openssl-dev
Architecture: any
Section: libdevel
Suggests: libcurl3-dbg
Provides: libcurl-dev, libcurl-ssl-dev, libcurl3-openssl-dev, libcurl3-dev
Replaces: libcurl-dev, libcurl-ssl-dev, libcurl3-openssl-dev, libcurl3-dev (<< 7.14.1-1)
Conflicts: libcurl-dev
Depends: libcurl3 (= ${binary:Version}), libc6-dev | libc-dev, libssl-dev, zlib1g-dev, libidn11-dev, libkrb5-dev, libssh2-1-dev, libldap2-dev, librtmp-dev, ${misc:Depends}
Description: Development files and documentation for libcurl (OpenSSL)
 These files (ie. includes, static library, manual pages) allow to
 build software which uses libcurl.
 .
 SSL support is provided by OpenSSL.
 .
 HTML and PDF versions of all the manual pages are also provided.

Package: libcurl4-gnutls-dev
Architecture: any
Section: libdevel
Suggests: libcurl3-dbg
Provides: libcurl-dev, libcurl-ssl-dev, libcurl3-gnutls-dev, libcurl4-dev
Replaces: libcurl-dev, libcurl-ssl-dev, libcurl3-gnutls-dev, libcurl4-dev
Conflicts: libcurl-dev
Depends: libcurl3-gnutls (= ${binary:Version}), libc6-dev | libc-dev, libgnutls-dev, zlib1g-dev, libidn11-dev, libkrb5-dev, libldap2-dev, librtmp-dev, ${misc:Depends}
Description: Development files and documentation for libcurl (GnuTLS)
 These files (ie. includes, static library, manual pages) allow to
 build software which uses libcurl.
 .
 SSL support is provided by GnuTLS.
 .
 HTML and PDF versions of all the manual pages are also provided.

Package: libcurl4-nss-dev
Architecture: any
Section: libdevel
Suggests: libcurl3-dbg
Provides: libcurl-dev, libcurl-ssl-dev, libcurl3-nss-dev, libcurl4-dev
Replaces: libcurl-dev, libcurl-ssl-dev, libcurl3-nss-dev, libcurl4-dev
Conflicts: libcurl-dev
Depends: libcurl3-nss (= ${binary:Version}), libc6-dev | libc-dev, libnss3-dev, zlib1g-dev, libidn11-dev, libkrb5-dev, libldap2-dev, ${misc:Depends}
Description: Development files and documentation for libcurl (NSS)
 These files (ie. includes, static library, manual pages) allow to
 build software which uses libcurl.
 .
 SSL support is provided by NSS.
 .
 HTML and PDF versions of all the manual pages are also provided.

Package: libcurl3-dbg
Architecture: any
Section: debug
Priority: extra
Suggests: libc-dbg
Provides: libcurl4-dbg
Replaces: libcurl4-dbg
Conflicts: libcurl4-dbg
Depends: libcurl3 (= ${binary:Version}) | libcurl3-gnutls (= ${binary:Version}) | libcurl3-nss (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: libcurl compiled with debug symbols
 This contains the debug symbols of both the OpenSSL, GnuTLS and NSS versions
 of libcurl3. It might be useful in debug sessions of software which uses
 libcurl.
