=== debian/control ===
--- 
+++ 
@@ -2,7 +2,27 @@
 Section: web
 Priority: optional
 Maintainer: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
-Build-Depends: debhelper (>> 8.1.3), autoconf, libtool, automake1.9, binutils (>= 2.14.90.0.7), libssl-dev, libgnutls-dev, libnss3-dev, zlib1g-dev, stunnel, libkrb5-dev, libidn11-dev, groff-base, libdb-dev (>= 4.6), libldap2-dev, quilt, libssh2-1-dev (>= 1.2), libgcrypt11-dev, librtmp-dev
+Uploaders: Alessandro Ghedini <al3xbio@gmail.com>,
+ Ian Jackson <ijackson@chiark.greenend.org.uk>,
+ Luk Claes <luk@debian.org>
+Build-Depends: debhelper (>> 8.1.3),
+ autoconf,
+ automake1.9,
+ groff-base,
+ libdb-dev (>= 4.6),
+ libgcrypt11-dev,
+ libgnutls-dev,
+ libidn11-dev,
+ libkrb5-dev,
+ libldap2-dev,
+ libnss3-dev,
+ librtmp-dev,
+ libssh2-1-dev (>= 1.2),
+ libssl-dev,
+ libtool,
+ quilt,
+ stunnel4,
+ zlib1g-dev
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.9.2.0
 Vcs-Browser: http://git.debian.org/?p=collab-maint/curl.git
@@ -11,7 +31,6 @@
 
 Package: curl
 Architecture: any
-Section: web
 Replaces: curl-ssl
 Provides: curl-ssl
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -78,7 +97,15 @@
 Provides: libcurl-dev, libcurl-ssl-dev, libcurl3-openssl-dev, libcurl3-dev
 Replaces: libcurl-dev, libcurl-ssl-dev, libcurl3-openssl-dev, libcurl3-dev (<< 7.14.1-1)
 Conflicts: libcurl-dev
-Depends: libcurl3 (= ${binary:Version}), libc6-dev | libc-dev, libssl-dev, zlib1g-dev, libidn11-dev, libkrb5-dev, libssh2-1-dev, libldap2-dev, librtmp-dev, ${misc:Depends}
+Depends: ${misc:Depends}, libcurl3 (= ${binary:Version}),
+ libc6-dev | libc-dev,
+ libidn11-dev,
+ libkrb5-dev,
+ libldap2-dev,
+ librtmp-dev,
+ libssh2-1-dev,
+ libssl-dev,
+ zlib1g-dev
 Description: Development files and documentation for libcurl (OpenSSL)
  These files (ie. includes, static library, manual pages) allow to
  build software which uses libcurl.
@@ -94,7 +121,14 @@
 Provides: libcurl-dev, libcurl-ssl-dev, libcurl3-gnutls-dev, libcurl4-dev
 Replaces: libcurl-dev, libcurl-ssl-dev, libcurl3-gnutls-dev, libcurl4-dev
 Conflicts: libcurl-dev
-Depends: libcurl3-gnutls (= ${binary:Version}), libc6-dev | libc-dev, libgnutls-dev, zlib1g-dev, libidn11-dev, libkrb5-dev, libldap2-dev, librtmp-dev, ${misc:Depends}
+Depends: ${misc:Depends}, libcurl3-gnutls (= ${binary:Version}),
+ libc6-dev | libc-dev,
+ libgnutls-dev,
+ libidn11-dev,
+ libkrb5-dev,
+ libldap2-dev,
+ librtmp-dev,
+ zlib1g-dev
 Description: Development files and documentation for libcurl (GnuTLS)
  These files (ie. includes, static library, manual pages) allow to
  build software which uses libcurl.
@@ -110,7 +144,14 @@
 Provides: libcurl-dev, libcurl-ssl-dev, libcurl3-nss-dev, libcurl4-dev
 Replaces: libcurl-dev, libcurl-ssl-dev, libcurl3-nss-dev, libcurl4-dev
 Conflicts: libcurl-dev
-Depends: libcurl3-nss (= ${binary:Version}), libc6-dev | libc-dev, libnss3-dev, zlib1g-dev, libidn11-dev, libkrb5-dev, libldap2-dev, ${misc:Depends}
+Depends: ${misc:Depends}, libcurl3-nss (= ${binary:Version}),
+ libc6-dev | libc-dev,
+ libidn11-dev,
+ libkrb5-dev,
+ libldap2-dev,
+ libnss3-dev,
+ librtmp-dev,
+ zlib1g-dev
 Description: Development files and documentation for libcurl (NSS)
  These files (ie. includes, static library, manual pages) allow to
  build software which uses libcurl.
@@ -127,7 +168,7 @@
 Provides: libcurl4-dbg
 Replaces: libcurl4-dbg
 Conflicts: libcurl4-dbg
-Depends: libcurl3 (= ${binary:Version}) | libcurl3-gnutls (= ${binary:Version}) | libcurl3-nss (= ${binary:Version}), ${misc:Depends}
+Depends: ${misc:Depends}, libcurl3 (= ${binary:Version}) | libcurl3-gnutls (= ${binary:Version}) | libcurl3-nss (= ${binary:Version})
 Multi-Arch: same
 Description: libcurl compiled with debug symbols
  This contains the debug symbols of both the OpenSSL, GnuTLS and NSS versions
