=== debian/rules ===
--- 
+++ 
@@ -45,16 +45,19 @@
     endif
 endif
 
-SHLIBS_VERSION=7.16.2-1
-
 # this will catch miss-linking. (e.g. undefined symbols)
 # LDFLAGS = -Wl,-z,defs
 
-CONFIGURE_ARGS = $(CROSS) --prefix=/usr --mandir=/usr/share/man --disable-dependency-tracking --enable-ipv6 --with-lber-lib=lber --enable-manual --enable-versioned-symbols --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+CONFIGURE_ARGS = $(CROSS) --prefix=/usr --mandir=/usr/share/man	\
+		--disable-dependency-tracking --enable-ipv6	\
+		--with-lber-lib=lber --enable-manual		\
+		--enable-versioned-symbols --enable-debug	\
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)	\
+		$(shell dpkg-buildflags --export=configure)
 # this is still not ready
 # --enable-ares
 # this fixes the ldap warning of dpkg-shlibdebs, but we dont want that.
-# --with-ldap-lib=/usr/lib/libldap_r.so 
+# --with-ldap-lib=/usr/lib/libldap_r.so
 
 ifneq (${DEB_BUILD_ARCH_OS},hurd)
 CONFIGURE_ARGS += --with-gssapi=/usr
@@ -152,10 +155,7 @@
 	dh_strip -plibcurl3 -plibcurl3-gnutls -plibcurl3-nss --dbg-package=libcurl3-dbg
 	dh_compress
 	dh_fixperms
-	echo "libcurl 4 libcurl3 (>= $(SHLIBS_VERSION))" > debian/shlibs.local
-	dh_makeshlibs -plibcurl3 -V "libcurl3 (>= $(SHLIBS_VERSION))"
-	dh_makeshlibs -plibcurl3-gnutls -V "libcurl3-gnutls (>= $(SHLIBS_VERSION))"
-	dh_makeshlibs -plibcurl3-nss -V "libcurl3-nss (>= $(SHLIBS_VERSION))"
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_md5sums
