=== debian/control ===
--- 
+++ 
@@ -141,13 +141,25 @@
  libssh2-1-dev,
  libssl-dev,
  zlib1g-dev
-Description: Development files and documentation for libcurl (OpenSSL flavour)
- These files (ie. includes, static library, manual pages) allow to
- build software which uses libcurl.
+Description: development files and documentation for libcurl (OpenSSL flavour)
+ libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
+ FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
+ RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
+ .
+ libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP
+ form based upload, proxies, cookies, user+password authentication (Basic,
+ Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling
+ and more!
+ .
+ libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported,
+ fast, thoroughly documented and is already used by many known, big and
+ successful companies and numerous applications.
+ .
+ This package provides the development files (ie. includes, static library,
+ manual pages) that allow to build software which uses libcurl. HTML and PDF
+ versions of all the manual pages are also provided.
  .
  SSL support is provided by OpenSSL.
- .
- HTML and PDF versions of all the manual pages are also provided.
 
 Package: libcurl4-gnutls-dev
 Architecture: any
@@ -170,13 +182,25 @@
  libldap2-dev,
  librtmp-dev,
  zlib1g-dev
-Description: Development files and documentation for libcurl (GnuTLS flavour)
- These files (ie. includes, static library, manual pages) allow to
- build software which uses libcurl.
+Description: development files and documentation for libcurl (GnuTLS flavour)
+ libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
+ FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
+ RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
+ .
+ libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP
+ form based upload, proxies, cookies, user+password authentication (Basic,
+ Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling
+ and more!
+ .
+ libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported,
+ fast, thoroughly documented and is already used by many known, big and
+ successful companies and numerous applications.
+ .
+ This package provides the development files (ie. includes, static library,
+ manual pages) that allow to build software which uses libcurl. HTML and PDF
+ versions of all the manual pages are also provided.
  .
  SSL support is provided by GnuTLS.
- .
- HTML and PDF versions of all the manual pages are also provided.
 
 Package: libcurl4-nss-dev
 Architecture: any
@@ -199,13 +223,25 @@
  libnss3-dev,
  librtmp-dev,
  zlib1g-dev
-Description: Development files and documentation for libcurl (NSS flavour)
- These files (ie. includes, static library, manual pages) allow to
- build software which uses libcurl.
+Description: development files and documentation for libcurl (NSS flavour)
+ libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
+ FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
+ RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
+ .
+ libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP
+ form based upload, proxies, cookies, user+password authentication (Basic,
+ Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling
+ and more!
+ .
+ libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported,
+ fast, thoroughly documented and is already used by many known, big and
+ successful companies and numerous applications.
+ .
+ This package provides the development files (ie. includes, static library,
+ manual pages) that allow to build software which uses libcurl. HTML and PDF
+ versions of all the manual pages are also provided.
  .
  SSL support is provided by NSS.
- .
- HTML and PDF versions of all the manual pages are also provided.
 
 Package: libcurl3-dbg
 Architecture: any
@@ -217,6 +253,20 @@
 Conflicts: libcurl4-dbg
 Depends: ${misc:Depends}, libcurl3 (= ${binary:Version}) | libcurl3-gnutls (= ${binary:Version}) | libcurl3-nss (= ${binary:Version})
 Multi-Arch: same
-Description: libcurl compiled with debug symbols
- This contains the debug symbols of the OpenSSL, GnuTLS and NSS versions of
- libcurl3. It might be useful in debug sessions of software which uses libcurl.
+Description: debugging symbols for libcurl (OpenSSL, GnuTLS and NSS flavours)
+ libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
+ FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
+ RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
+ .
+ libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP
+ form based upload, proxies, cookies, user+password authentication (Basic,
+ Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling
+ and more!
+ .
+ libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported,
+ fast, thoroughly documented and is already used by many known, big and
+ successful companies and numerous applications.
+ .
+ This package provides the debugging symbols of the OpenSSL, GnuTLS and NSS
+ versions of libcurl3. It might be useful in debug sessions of software which
+ uses libcurl.
